Foreman - Bug #5966

execjs 2.1.0 drops Ruby 1.8 compatibility
05/28/2014 09:40 AM - Dominic Cleal

Status: Closed

Priority: Urgent

Assignee: Dominic Cleal

Category: Packaging

Target version: 1.5.1

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: 1107668 Red Hat JIRA:

Pull request:

Description

/usr/local/rvm/gems/ruby-1.8.7-p371@test_develop_pr_core-1/gems/execjs-2.1.0/1lib/execjs/runtimes.
b:22: syntax error, unexpected ':', expecting ')'

name : "Node.js (V8)",
/usr/local/rvm/gems/ruby-1.8.7-p371Q@test_develop_pr_core—1l/gems/execis—2.1.0/1lib/execis/runtimes.
b:22: syntax error, unexpected ',', expecting kEND
/usr/local/rvm/gems/ruby—-1.8.7-p371Q@test_develop_pr_core-1/gems/execjs-2.1.0/1lib/execjs/runtimes.
b:23: syntax error, unexpected ',', expecting kEND
/usr/local/rvm/gems/ruby-1.8.7-p371@test_develop_pr_core-1/gems/execjs-2.1.0/1lib/execjs/runtimes.
b:24: syntax error, unexpected ',', expecting kEND
/usr/local/rvm/gems/ruby-1.8.7-p371@test_develop_pr_core-1/gems/execjs-2.1.0/1lib/execjs/runtimes.
b:26: syntax error, unexpected ')', expecting kEND
/usr/local/rvm/gems/ruby-1.8.7-p371Q@test_develop_pr_core—1l/gems/execis—2.1.0/1lib/execis/runtimes.
b:29: syntax error, unexpected ':', expecting ')'

name: "JavaScriptCore",
/usr/local/rvm/gems/ruby—-1.8.7-p371@test_develop_pr_core-1/gems/execjs-2.1.0/1lib/execjs/runtimes.
b:29: syntax error, unexpected ',', expecting kEND
/usr/local/rvm/gems/ruby-1.8.7-p371@test_develop_pr_core-1/gems/execjs-2.1.0/1lib/execjs/runtimes.
b:30: syntax error, unexpected ',', expecting kEND
/usr/local/rvm/gems/ruby-1.8.7-p371Q@test_develop_pr_core—1/gems/execis—2.1.0/1lib/execis/runtimes.
b:32: syntax error, unexpected ')', expecting kEND
/usr/local/rvm/gems/ruby—-1.8.7-p371Q@test_develop_pr_core-1/gems/execjs-2.1.0/1lib/execjs/runtimes.
b:35: syntax error, unexpected ':', expecting ')'

name: "SpiderMonkey",
/usr/local/rvm/gems/ruby-1.8.7-p371@test_develop_pr_core-1/gems/execjs-2.1.0/1lib/execjs/runtimes.
b:35: syntax error, unexpected ',', expecting kEND
/usr/local/rvm/gems/ruby-1.8.7-p371Q@test_develop_pr_core—1/gems/execis—2.1.0/1lib/execis/runtimes.
b:36: syntax error, unexpected ',', expecting kEND
/usr/local/rvm/gems/ruby—-1.8.7-p371Q@test_develop_pr_core-1/gems/execjs-2.1.0/1lib/execjs/runtimes.
b:37: syntax error, unexpected ',', expecting kEND
/usr/local/rvm/gems/ruby-1.8.7-p371@test_develop_pr_core-1/gems/execjs-2.1.0/1lib/execjs/runtimes.
b:42: syntax error, unexpected ':', expecting ')'

name: "JScript",
/usr/local/rvm/gems/ruby-1.8.7-p371Q@test_develop_pr_core—1/gems/execis—2.1.0/1lib/execis/runtimes.
b:42: syntax error, unexpected ',', expecting kEND
/usr/local/rvm/gems/ruby—-1.8.7-p371Q@test_develop_pr_core-1/gems/execjs-2.1.0/1lib/execjs/runtimes.
b:43: syntax error, unexpected ',', expecting kEND
/usr/local/rvm/gems/ruby—-1.8.7-p371@test_develop_pr_core-1/gems/execjs-2.1.0/1lib/execjs/runtimes.
b:44: syntax error, unexpected ',', expecting kEND
/usr/local/rvm/gems/ruby-1.8.7-p371@test_develop_pr_core-1/gems/execjs-2.1.0/1lib/execjs/runtimes.
b:46: syntax error, unexpected ')', expecting kEND

https://github.com/sstephenson/execjs/commit/14748fc69343ed206d5da4c7f94e822732323265
https://github.com/sstephenson/execjs/commit/14748fc69343ed206d5da4c7f94e822732323265

Related issues:
Related to Foreman - Tracker #4656: Drop Ruby 1.8 support

Closed

Associated revisions

Revision bb0d37fc - 05/28/2014 10:24 AM - Dominic Cleal
fixes #5966 - pin execjs for Ruby 1.8 compatibility

Revision 0fe0d1a5 - 06/11/2014 01:02 PM - Dominic Cleal

fixes #5966 - pin execjs for Ruby 1.8 compatibility

(cherry picked from commit bb0d37fc3afa585f889e8064c9a44e97465121a3)
Revision fda3bced - 06/13/2014 12:43 PM - Dominic Cleal

fixes #5966 - pin execjs for Ruby 1.8 compatibility

(cherry picked from commit bb0d37fc3afa585f889e8064c9a44e97465121a3)
(cherry picked from commit OfeOd1a5cb5a18315e123411efe541f48f5da402)

History

#1 - 05/28/2014 09:41 AM - Dominic Cleal
- Related to Tracker #4656: Drop Ruby 1.8 support added

#2 - 05/28/2014 09:42 AM - Dominic Cleal
- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1483

#3 - 05/28/2014 10:31 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset bb0d37fc3afab85{889e8064c9a44e97465121a3.

#4 - 06/10/2014 11:10 AM - Bryan Kearney
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1106979

#5 - 06/10/2014 12:36 PM - Bryan Kearney

- Bugzilla link changed from https://bugzilla.redhat.com/show_bug.cgi?id=1106979 to https.//bugzilla.redhat.com/show_bug.cgi?id=1107668
